﻿@model ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua

@{
    ViewBag.Title = "NhatKyVanHanhVaSuaChua";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}
@{
    List<ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua> lstNhatKy = ViewBag.lstNhatKy != null ? ViewBag.lstNhatKy : new List<ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua>();
    List<string> ghiChuCaSau = lstNhatKy.Select(x => x.ChuYCaSauTheoDoi).ToList();
    String delim = "-";
    string res = String.Join(delim, ghiChuCaSau);
}
<style>
    #ChuYCaSauTheoDoi {
        width: 320px !important;
    }

    ul, #myUL {
        list-style-type: none;
    }

    #myUL {
        margin: 0;
        padding: 0;
    }

    .create-caret {
        cursor: pointer;
        -webkit-user-select: none; /* Safari 3.1+ */
        -moz-user-select: none; /* Firefox 2+ */
        -ms-user-select: none; /* IE 10+ */
        user-select: none;
    }

        .create-caret:before {
            content: "\25B6";
            color: black;
            display: inline-block;
            margin-right: 6px;
        }

    .caret-down::before {
        -ms-transform: rotate(90deg); /* IE 9 */
        -webkit-transform: rotate(90deg); /* Safari */
        ' transform: rotate(90deg);
    }

    .create-nested {
        display: block;
    }

    .active {
        display: none;
    }
    /*.tr-create {
        display: table-row;
        vertical-align: inherit;
        border-color: white !important;
    }*/
    .tableborderless tr td {
        border: none !important;
    }

    .div-create-new {
        border: 1px solid black;
    }

    #NhapGhiChuChoCaSau {
        width: 280px !important
    }
</style>
<h2>Nhật ký vận hành và sửa chữa</h2>
<table class="table">
    <tr>
        <td>
            <div class="form-group">
                @Html.LabelFor(x => x.NgayTao, htmlAttributes: new { @class = "control-label col-md-3" })
                <div class="col-md-9">
                    @Html.EditorFor(x => x.NgayTao, new { htmlAttributes = new { @class = "form-control" } })
                    @*@Html.ValidationMessageFor(model => model.EnrollmentDate, "", new { @class = "text-danger" })*@
                </div>
            </div>
        </td>
        <td>
            <div class="form-group">
                @Html.LabelFor(x => x.ChuYCaSauTheoDoi, htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.TextArea("ChuYCaSauTheoDoi", res, new { @class = "form-control", @readonly = "true" })
                    @*@Html.ValidationMessageFor(model => model.EnrollmentDate, "", new { @class = "text-danger" })*@
                </div>
            </div>
        </td>
    </tr>

</table>
<div class="create-nhatky">
    <ul id="myUL">
        <li>
            <span class="create-caret" style="width:auto">Tạo mới</span>

            <ul class="create-nested">
                <li>
                    <div class="div-create-new table-responsive">
                        <table class="table table-responsive tableborderless">
                            <tr class="tr-create">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NguoiTao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.NguoiTao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.DanhSachMe, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-6">
                                            @Html.EditorFor(x => x.NguoiTao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NhapGhiChuChoCaSau, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.TextAreaFor(x => x.NhapGhiChuChoCaSau, new { @class = "form-control" })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.CaLamViec, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-6">
                                            @*@Html.EditorFor(x => x.CaLamViec, new { htmlAttributes = new { @class = "form-control" } })*@
                                            @Html.DropDownList("EnumDropDown", new SelectList(ViewBag.EnumCaLamViec, "ID", "Name"), new { @class = "form-control" })
                                        </div>
                                        <div class="col-md-3">
                                            <input type="submit" onclick="AddNewNhatKy()" value="Tạo mới" class="btn btn-success" />
                                            @*<button type="button" id="btn_addNewNhatKy">Tạo mới</button>*@
                                        </div>
                                    </div>
                                </td>

                            </tr>
                        </table>
                    </div>

                </li>

            </ul>
        </li>
        @*Chi tiết Nhật Ký*@
        @*@Html.Partial("~/Views/Nhatkyvanhanhs/AdNhatKyVanHanh.cshtml")*@
        @*@{
                Html.RenderPartial("AddNhatKyVanHanh");
            }*@
    </ul>
    <div id="addNhatKy">

    </div>
    <div id="button_LuuNhatKy" style="float:right; margin-top: 5px;margin-bottom:5px;">

    </div>
    <div class="DSNhatKyVanHanhVaSuCo" style="padding-top:40px;">
        <div id="NhatKyVanHanh">
            @Html.Partial("DanhSachNhatKyVanHanh", lstNhatKy)
        </div>
    </div>
</div>
@*<div class="DSNhatKyVanHanhVaSuCo" style="padding-top:40px;">
        <div id ="NhatKyVanHanh">
            @Html.Partial("DanhSachNhatKyVanHanh", lstNhatKy)
        </div>
    </div>*@




<script>
    var toggler = document.getElementsByClassName("create-caret");
    var i;

    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.parentElement.querySelector(".create-nested").classList.toggle("active");
            this.classList.toggle("caret-down");
        });
    }

    function AddNewNhatKy() {
        $("#addNhatKy").load("/Nhatkyvanhanhs/AddNewNhatKy");

        var tag = "<input type='submit' onclick='LuuNhatKySuCo()' value='Lưu' class='btn btn-success' />";
        document.getElementById('button_LuuNhatKy').innerHTML = tag;
    }
    function LuuNhatKyVaSuCo() {
    }
    //$(document).ready(function () {
    //    $("#btn_addNewNhatKy").click(function () {
    //        debugger;
    //        $("#addNhatKy").load("/Nhatkyvanhanhs/AddNewNhatKy");
    //    });

    //});
</script>